Bug 836146 - ERROR with transaction check vs depsolve: mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-1.fc17.i686 libcups.so.2 is needed by gtk2-2.24.10-2.fc17.i686
ERROR with transaction check vs depsolve: mesa-dri-filesystem(x86-32) is need...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 879630 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 04:39 EDT by marko.jerak
Modified: 2013-07-31 13:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:46:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marko.jerak 2012-06-28 04:39:32 EDT
Description of problem:

ERROR with transaction check vs depsolve:
mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-1.fc17.i686
libcups.so.2 is needed by gtk2-2.24.10-2.fc17.i686



Version-Release number of selected component (if applicable):


How reproducible: yum -y update


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Jackson 2012-07-03 13:24:49 EDT
The deps aren't wrong.  What do you get from running:

$ repoquery --whatprovides 'mesa-dri-filesystem(x86-32)'

?
Comment 2 njeu78 2012-10-22 02:53:32 EDT
(In reply to comment #1)
> The deps aren't wrong.  What do you get from running:
> 
> $ repoquery --whatprovides 'mesa-dri-filesystem(x86-32)'
> 
> ?

I have the same issue on my laptop. Here is the answer to your question :

$ repoquery --whatprovides 'mesa-dri-filesystem(x86-32)'
Repository google-chrome is listed more than once in the configuration
mesa-dri-filesystem-0:8.0.2-8.fc17.i686
mesa-dri-filesystem-0:8.0.4-1.fc17.i686
Comment 3 Fred Houweling 2012-11-23 09:22:21 EST
*** Bug 879630 has been marked as a duplicate of this bug. ***
Comment 4 Fred Houweling 2012-11-23 09:32:12 EST
I had this problem too, raised a bug id 879630, marked mine as a duplicate of this one.
I ran the command repoquery --whatprovides 'mesa-dri-filesystem(x86-32)'
I also got the above entries...
I ran:
yum install mesa-dri-filesystem-0:8.0.4-1.fc17.i686
which failed on a version check
then

yum install mesa-dri-filesystem-0:8.0.2-8.fc17.i686

which worked,
yum is now continuing to update as I type this: 303 of 2725

I hope this provides some people some success.
(I also erased some broken packages I had installed, further details in my bug id 879630.)
Comment 5 Fred Houweling 2012-11-23 09:37:39 EST
Bug id's that appear to duplicate this issue:
863657
860538
878546
876543
And mine that is already marked as duplicating this one i.e. closed.
879630
Comment 6 Fedora End Of Life 2013-07-03 15:23:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 13:47:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.